A valid request URL is required to generate request examples{
"assigned": [
{
"tier_structure_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
],
"unassigned": [
{
"tier_structure_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
]
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}Batch assign/unassign tier structures
⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Assigns and/or unassigns tier structures to/from a program in a single batch.
Unassign operations are processed before assign operations. Unassigning is only
allowed while the program is in DRAFT status - otherwise the request is rejected
with 423 Locked (key non_draft_program). A program can have at most one tier
structure assigned. In strict mode (default) missing tier structures, inactive tier
structures or missing assignments cause the whole batch to fail.
A valid request URL is required to generate request examples{
"assigned": [
{
"tier_structure_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
],
"unassigned": [
{
"tier_structure_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
]
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique program identifier.
^lprg_[a-f0-9]+$Body
Batch of tier structure assignment operations. unassign operations are processed
before assign operations. Duplicate ids within a batch are rejected.
Response
Batch processing result.
Result of a tier structure assignment batch. Keys are null when the corresponding operation list was not provided.
Was this page helpful?

